## qt6-scxml 6.8.2

=== src/scxml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## Scxml Module:
#####################################################################

qt_internal_include_in_repo_target_set(qtscxml)

qt_internal_add_module(Scxml
    QMAKE_MODULE_CONFIG c++11 qscxmlc
    PLUGIN_TYPES scxmldatamodel
    SOURCES
        qscxmlcompiler.cpp qscxmlcompiler.h qscxmlcompiler_p.h
        qscxmlcppdatamodel.cpp qscxmlcppdatamodel.h qscxmlcppdatamodel_p.h
        qscxmldatamodel.cpp qscxmldatamodel.h qscxmldatamodel_p.h
        qscxmlerror.cpp qscxmlerror.h
        qscxmlevent.cpp qscxmlevent.h qscxmlevent_p.h
        qscxmlexecutablecontent.cpp qscxmlexecutablecontent.h qscxmlexecutablecontent_p.h
        qscxmlglobals.h qscxmlglobals_p.h
        qscxmlinvokableservice.cpp qscxmlinvokableservice.h qscxmlinvokableservice_p.h
        qscxmlnulldatamodel.cpp qscxmlnulldatamodel.h
        qscxmlstatemachine.cpp qscxmlstatemachine.h qscxmlstatemachine_p.h
        qscxmlstatemachineinfo.cpp qscxmlstatemachineinfo_p.h
        qscxmltabledata.cpp qscxmltabledata.h qscxmltabledata_p.h
        qscxmldatamodelplugin_p.h qscxmldatamodelplugin.cpp
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

# Install the public qscxlmc.prf file that is used by the qmake
set(scxml_mkspecs "${CMAKE_CURRENT_SOURCE_DIR}/../../mkspecs/features/qscxmlc.prf")
set(mkspecs_install_dir "${INSTALL_MKSPECSDIR}")
qt_path_join(mkspecs_install_dir "${QT_INSTALL_DIR}" "${mkspecs_install_dir}" "features")
qt_copy_or_install(FILES "${scxml_mkspecs}" DESTINATION ${mkspecs_install_dir})

#### Keys ignored in scope 3:.:.:scxml.pro:NOT force_independent AND ( NOT debug_and_release OR NOT build_all OR CONFIG(release,debug OR release) ):
# QMAKE_EXTRA_COMPILERS = "prf2build"
# prf2build.CONFIG = "no_link" "no_clean" "target_predeps"
# prf2build.commands = "$$QMAKE_COPY" "${QMAKE_FILE_IN}" "${QMAKE_FILE_OUT}"
# prf2build.input = "FEATURES"
# prf2build.name = "COPY" "${QMAKE_FILE_IN}"
# prf2build.output = "$$[QT_INSTALL_DATA/get]/mkspecs/features/${QMAKE_FILE_BASE}${QMAKE_FILE_EXT}"
qt_internal_add_docs(Scxml
    doc/qtscxml.qdocconf
)

include(Qt6ScxmlMacros.cmake)

=== src/plugins/ecmascriptdatamodel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## EcmaScript SCXML DataModel Plugin:
#####################################################################

qt_internal_include_in_repo_target_set(qtscxmlqml)

qt_internal_add_plugin(QScxmlEcmaScriptDataModelPlugin
    OUTPUT_NAME qscxmlecmascriptdatamodel
    PLUGIN_TYPE scxmldatamodel
    SOURCES
        qscxmlecmascriptdatamodelplugin.cpp qscxmlecmascriptdatamodelplugin_p.h
        qscxmlecmascriptdatamodel_p.h qscxmlecmascriptdatamodel.cpp
        qscxmlecmascriptplatformproperties.cpp qscxmlecmascriptplatformproperties_p.h
    LIBRARIES
        Qt::Core
        Qt::Scxml
        Qt::Qml
    INCLUDE_DIRECTORIES
        $<TARGET_PROPERTY:Qt::QmlPrivate,INTERFACE_INCLUDE_DIRECTORIES>
        $<TARGET_PROPERTY:Qt::Scxml,INTERFACE_INCLUDE_DIRECTORIES>
        $<TARGET_PROPERTY:Qt::ScxmlPrivate,INTERFACE_INCLUDE_DIRECTORIES>
)

# OTHER_FILES = "ecmascriptdatamodel_plugin.json"

=== tests/manual/cppgen/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_cppgen Tool:
#####################################################################

qt_get_tool_target_name(target_name tst_cppgen)
qt_internal_add_tool(${target_name}
    SOURCES
        tst_cppgen.cpp
    LIBRARIES
        Qt::Qml
        Qt::Scxml
        Qt::Test
)
qt_internal_return_unless_building_tools()

#### Keys ignored in scope 1:.:.:cppgen.pro:<TRUE>:
# TEMPLATE = "app"
# _OPTION = "host_build"

=== debian/changelog ===
qt6-scxml (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:05:54 +0100

qt6-scxml (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 12:09:20 +0100

qt6-scxml (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:55:41 +0100

=== debian/control ===
Source: qt6-scxml
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-pkgkde-symbolshelper,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               qt6-declarative-dev (>= 6.8.2+dfsg~),
               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
               qt6-scxml-dev:native <cross>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git
Rules-Requires-Root: no

Package: libqt6scxml6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SCXML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML.

Package: libqt6scxml6-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt6scxml6 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 SCXML helper binaries
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the helper binary for Qt 6 SCXML.

Package: libqt6statemachine6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 State Machine library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 State Machine.

Package: qml6-module-qtscxml
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6scxmlqml6,
Replaces: libqt6scxmlqml6,
Description: Qt 6 SCXML QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for Qt SCXML.

Package: qml6-module-qtqml-statemachine
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6statemachineqml6,
Replaces: libqt6statemachineqml6,
Description: Qt 6 Qt QML State Machine module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for the Qt State Machine.

Package: qt6-scxml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6scxml6 (= ${binary:Version}),
         libqt6scxml6-bin (= ${binary:Version}),
         libqt6statemachine6 (= ${binary:Version}),
         qml6-module-qtqml-statemachine (= ${binary:Version}),
         qml6-module-qtscxml (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 SCXML - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the development files for Qt 6 SCXML.

Package: qt6-scxml-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 scxml documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 scxml.

Package: qt6-scxml-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 scxml HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 scxml.

Package: qt6-scxml-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 scxml tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt scxml
 documentation.

Package: qt6-scxml-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 scxml examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt scxml submodule.

## qt6-scxml 6.8.3

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


add_subdirectory(scxml)
add_subdirectory(statemachine)
if(TARGET Qt::Qml)
    add_subdirectory(statemachineqml)
    add_subdirectory(scxmlqml)
endif()
add_subdirectory(plugins)

=== src/statemachine/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## StateMachine Module:
#####################################################################

qt_internal_include_in_repo_target_set(qtstatemachine)

qt_internal_add_module(StateMachine
    SOURCES
        qabstractstate.cpp qabstractstate.h qabstractstate_p.h
        qabstracttransition.cpp qabstracttransition.h qabstracttransition_p.h
        qfinalstate.cpp qfinalstate.h qfinalstate_p.h
        qhistorystate.cpp qhistorystate.h qhistorystate_p.h
        qsignaleventgenerator_p.h
        qsignaltransition.cpp qsignaltransition.h qsignaltransition_p.h
        qstate.cpp qstate.h qstate_p.h
        qstatemachine.cpp qstatemachine.h qstatemachine_p.h
        qstatemachineglobal.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(StateMachine CONDITION QT_FEATURE_qeventtransition
    SOURCES
        gui/qbasickeyeventtransition.cpp gui/qbasickeyeventtransition_p.h
        gui/qbasicmouseeventtransition.cpp gui/qbasicmouseeventtransition_p.h
        gui/qkeyeventtransition.cpp gui/qkeyeventtransition.h
        gui/qmouseeventtransition.cpp gui/qmouseeventtransition.h
        qeventtransition.cpp qeventtransition.h qeventtransition_p.h
    LIBRARIES
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::GuiPrivate
)

qt_internal_add_docs(StateMachine
    doc/qtstatemachine.qdocconf
)

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


add_subdirectory(scxmlcoutput)
if(TARGET Qt::Gui AND TARGET Qt::Qml)
    if(TARGET Qt::Scxml)
        add_subdirectory(compiled)
        add_subdirectory(dynamicmetaobject)
        add_subdirectory(parser)
        add_subdirectory(scion)
        add_subdirectory(statemachine)
        add_subdirectory(statemachineinfo)
        add_subdirectory(cmake)
    endif()
    # More checks inside
    add_subdirectory(qml)
    add_subdirectory(qmltest)
endif()
if(NOT UIKIT AND TARGET Qt::StateMachine)
    add_subdirectory(qstatemachine)
endif()

=== debian/changelog ===
qt6-scxml (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:24:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-scxml
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -13,10 +14,10 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-scxml 6.9.1

=== debian/changelog ===
qt6-scxml (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:12:41 +0200

qt6-scxml (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Install missing cmake-files.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:28:22 +0200

qt6-scxml (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 23 Jul 2025 16:21:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: qt6-scxml
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-scxml.git

## qt6-scxml 6.9.2

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtScxml
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Scxml and StateMachine libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Qml QuickTest)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Widgets Network)
qt_internal_project_setup()

qt_internal_define_repo_target_set(qtscxml)
qt_internal_define_repo_target_set(qtscxmlqml DEPENDS Scxml)
qt_internal_define_repo_target_set(qtstatemachine)
qt_internal_define_repo_target_set(qtstatemachineqml DEPENDS StateMachine)
qt_internal_prepare_single_repo_target_set_build()
qt_build_repo()

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Evaluate features to decide what to build.
# The config files will be written in the src/global module.
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/../configure.cmake")

add_subdirectory(global)
if(QT_FEATURE_scxml)
    add_subdirectory(scxml)
    if(QT_FEATURE_scxml_qml)
        add_subdirectory(scxmlqml)
    endif()
endif()
if(QT_FEATURE_statemachine)
    add_subdirectory(statemachine)
    if(QT_FEATURE_statemachine_qml)
        add_subdirectory(statemachineqml)
    endif()
endif()
add_subdirectory(plugins)

=== examples/scxml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if (TARGET Qt::Network AND QT_FEATURE_scxml_ecmascriptdatamodel AND NOT ANDROID)
    qt_internal_add_example(ftpclient)
endif()

if(TARGET Qt::Widgets)
    qt_internal_add_example(trafficlight-widgets-static)
    qt_internal_add_example(trafficlight-widgets-dynamic)
    if(QT_FEATURE_scxml_ecmascriptdatamodel)
        qt_internal_add_example(sudoku)
    endif()
endif()

if(TARGET Qt::Qml AND TARGET Qt::Gui)
    qt_internal_add_example(calculator)
    qt_internal_add_example(trafficlight-qml-static)
    qt_internal_add_example(trafficlight-qml-dynamic)
    qt_internal_add_example(trafficlight-qml-simple)
    qt_internal_add_example(mediaplayer)
    qt_internal_add_example(invoke)
endif()

=== src/global/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## ScxmlGlobal Module:
#####################################################################

qt_internal_add_module(ScxmlGlobalPrivate
    INTERNAL_MODULE
    HEADER_MODULE
    CONFIGURE_FILE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../configure.cmake"
    NO_GENERATE_CPP_EXPORTS
)

=== src/scxml/CMakeLists.txt ===
--- 
+++ 
@@ -30,10 +30,12 @@
         QT_NO_CAST_TO_ASCII
     LIBRARIES
         Qt::CorePrivate
+        Qt::ScxmlGlobalPrivate
     PUBLIC_LIBRARIES
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+        Qt::ScxmlGlobalPrivate
 )
 
 # Install the public qscxlmc.prf file that is used by the qmake

=== src/scxmlqml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_include_in_repo_target_set(qtscxmlqml)

qt_internal_add_qml_module(ScxmlQml
    URI "QtScxml"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET declarative_scxml
    CLASS_NAME QScxmlStateMachinePlugin
    SOURCES
        eventconnection.cpp eventconnection_p.h
        invokedservices.cpp invokedservices_p.h
        statemachineextended.cpp statemachineextended_p.h
        statemachineloader.cpp statemachineloader_p.h
        qscxmlqmlglobals_p.h
    DEFINES
        QT_BUILD_SCXMLQML_LIB
    DEPENDENCIES
        QtQml
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
        Qt::Scxml
    LIBRARIES
        Qt::CorePrivate
)

=== src/statemachine/CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,18 @@
         qsignaltransition.cpp qsignaltransition.h qsignaltransition_p.h
         qstate.cpp qstate.h qstate_p.h
         qstatemachine.cpp qstatemachine.h qstatemachine_p.h
-        qstatemachineglobal.h
+        qstatemachineglobal.h qstatemachineglobal_p.h
     DEFINES
         QT_NO_CAST_FROM_ASCII
         QT_NO_CAST_TO_ASCII
     LIBRARIES
         Qt::CorePrivate
+        Qt::ScxmlGlobalPrivate
     PUBLIC_LIBRARIES
         Qt::Core
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+        Qt::ScxmlGlobalPrivate
 )
 
 ## Scopes:

=== src/statemachineqml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_include_in_repo_target_set(qtstatemachineqml)

qt_internal_add_qml_module(StateMachineQml
    URI "QtQml.StateMachine"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qtqmlstatemachine
    CLASS_NAME QtQmlStateMachinePlugin
    SOURCES
        qstatemachineqmlglobals_p.h
        finalstate_p.h finalstate.cpp
        signaltransition_p.h signaltransition.cpp
        state_p.h state.cpp
        statemachine_p.h statemachine.cpp
        timeouttransition_p.h timeouttransition.cpp
        childrenprivate_p.h
        statemachineforeign_p.h
    DEFINES
        QT_BUILD_STATEMACHINEQML_LIB
    DEPENDENCIES
        QtQml
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
        Qt::StateMachine
    LIBRARIES
        Qt::QmlPrivate
)

=== tools/qscxmlc/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qscxmlc Tool:
#####################################################################

qt_internal_include_in_repo_target_set(qtscxml)

qt_get_tool_target_name(target_name qscxmlc)
qt_internal_add_tool(${target_name}
    TOOLS_TARGET Scxml
    INSTALL_DIR "${INSTALL_LIBEXECDIR}"
    SOURCES
        ../../src/scxml/qscxmlcompiler.cpp ../../src/scxml/qscxmlcompiler.h ../../src/scxml/qscxmlcompiler_p.h
        ../../src/scxml/qscxmlerror.cpp ../../src/scxml/qscxmlerror.h
        ../../src/scxml/qscxmlexecutablecontent.cpp ../../src/scxml/qscxmlexecutablecontent.h ../../src/scxml/qscxmlexecutablecontent_p.h
        ../../src/scxml/qscxmlglobals.h
        ../../src/scxml/qscxmltabledata.cpp ../../src/scxml/qscxmltabledata.h
        generator.cpp generator.h
        main.cpp
        moc.cpp moc.h
        outputrevision.h
        qscxmlc.cpp qscxmlc.h
        scxmlcppdumper.cpp scxmlcppdumper.h
        utils.h
    DEFINES
        BUILD_QSCXMLC
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        $<TARGET_PROPERTY:Qt::Scxml,INTERFACE_INCLUDE_DIRECTORIES>
        $<TARGET_PROPERTY:Qt::ScxmlPrivate,INTERFACE_INCLUDE_DIRECTORIES>
    LIBRARIES
        Qt::CorePrivate
)
qt_internal_return_unless_building_tools()

# qscxmlc uses header and source files from Scxml library instead of linking it. These sources use
# includes from the module(using the module include style) so need to sync the module header
# files first to avoid compiler errors.
add_dependencies(${target_name} Scxml_sync_headers)

set_property(SOURCE ../../src/scxml/qscxmlerror.h PROPERTY SKIP_AUTOMOC ON)
set_property(SOURCE ../../src/scxml/qscxmlcompiler.cpp PROPERTY SKIP_AUTOMOC ON)

# Resources:
set(templates_resource_files
    "cppdatamodel.t"
    "data.t"
    "decl.t"
)

qt_internal_add_resource(${target_name} "templates"
    PREFIX
        "/"
    FILES
        ${templates_resource_files}
    OPTIONS --no-compress
)


#### Keys ignored in scope 1:.:.:qscxmlc.pro:<TRUE>:
# _OPTION = "host_build"

=== examples/scxml/trafficlight-widgets-dynamic/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(trafficlight-widgets-dynamic LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/scxml/trafficlight-widgets-dynamic")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Scxml Widgets)

qt_standard_project_setup()

qt_add_executable(trafficlight-widgets-dynamic
    ../trafficlight-common/trafficlight.cpp ../trafficlight-common/trafficlight.h
    trafficlight-widgets-dynamic.cpp
)

set_target_properties(trafficlight-widgets-dynamic PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(trafficlight-widgets-dynamic PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Scxml
    Qt6::Widgets
)

# Resources:
set_source_files_properties("../trafficlight-common/background.png"
    PROPERTIES QT_RESOURCE_ALIAS "background.png"
)

set_source_files_properties("../trafficlight-common/green.png"
    PROPERTIES QT_RESOURCE_ALIAS "green.png"
)

set_source_files_properties("../trafficlight-common/pause.png"
    PROPERTIES QT_RESOURCE_ALIAS "pause.png"
)

set_source_files_properties("../trafficlight-common/play.png"
    PROPERTIES QT_RESOURCE_ALIAS "play.png"
)

set_source_files_properties("../trafficlight-common/red.png"
    PROPERTIES QT_RESOURCE_ALIAS "red.png"
)

set_source_files_properties("../trafficlight-common/statemachine.scxml"
    PROPERTIES QT_RESOURCE_ALIAS "statemachine.scxml"
)

set_source_files_properties("../trafficlight-common/yellow.png"
    PROPERTIES QT_RESOURCE_ALIAS "yellow.png"
)

set(trafficlight-widgets-dynamic_resource_files
    "../trafficlight-common/background.png"
    "../trafficlight-common/green.png"
    "../trafficlight-common/pause.png"
    "../trafficlight-common/play.png"
    "../trafficlight-common/red.png"
    "../trafficlight-common/statemachine.scxml"
    "../trafficlight-common/yellow.png"
)

qt6_add_resources(trafficlight-widgets-dynamic "trafficlight-widgets-dynamic"
    PREFIX
        "/"
    FILES
        ${trafficlight-widgets-dynamic_resource_files}
)

install(TARGETS trafficlight-widgets-dynamic
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/compiled/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_compiled Test:
#####################################################################

if(WASM)
    return()
endif()

qt_internal_add_test(tst_compiled
    SOURCES
        tst_compiled.cpp
    LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Scxml
)

# Resources:
set(tst_compiled_resource_files
    "submachineA.scxml"
    "submachineB.scxml"
    "topmachine.scxml"
)

qt_internal_add_resource(tst_compiled "tst_compiled"
    PREFIX
        "/"
    FILES
        ${tst_compiled_resource_files}
)


# Statecharts:
qt6_add_statecharts(tst_compiled
    ids1.scxml
    eventnames1.scxml
    eventnames2.scxml
    statemachineunicodename.scxml
    anonymousstate.scxml
    submachineunicodename.scxml
    datainnulldatamodel.scxml
    initialhistory.scxml
    connection.scxml
    topmachine.scxml
    historyState.scxml
)

#### Keys ignored in scope 1:.:.:compiled.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/dynamicmetaobject/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_dynamicmetaobject Test:
#####################################################################

qt_internal_add_test(tst_dynamicmetaobject
    SOURCES
        tst_dynamicmetaobject.cpp
    LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Scxml
)

# Resources:
set(tst_dynamicmetaobject_resource_files
    "mediaplayer.scxml"
    "test1.scxml"
)

qt_internal_add_resource(tst_dynamicmetaobject "tst_dynamicmetaobject"
    PREFIX
        "/tst_dynamicmetaobject"
    FILES
        ${tst_dynamicmetaobject_resource_files}
)


#### Keys ignored in scope 1:.:.:dynamicmetaobject.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-scxml (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 20:50:48 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
                qt6-scxml-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	cmake_extra_args += \
 		-DQT_HOST_PATH=/usr \
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
-		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
+		-DQT_FORCE_BUILD_TOOLS=ON
 endif
 
 %:

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtscxml-everywhere-src-(.*)\.tar\.xz

## qt6-scxml 6.9.3

=== debian/changelog ===
qt6-scxml (6.9.3-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 04 Nov 2025 23:41:23 +0000

qt6-scxml (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-scxml (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:57:25 +1000

qt6-scxml (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:38:13 +1000

qt6-scxml (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:06:29 +1000

qt6-scxml (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:25:00 +1000

qt6-scxml (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:31:13 +1000

qt6-scxml (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:39:51 +1000

qt6-scxml (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:09:08 +1000

qt6-scxml (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:10:47 +1000

qt6-scxml (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 17:28:54 +1000

qt6-scxml (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:15:42 +0100

=== debian/control ===
Source: qt6-scxml
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-scxml.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-scxml
Maintainer: Neon CI <neon@kde.org>

Package: qt6-scxml
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6scxml6,
          libqt6scxml6-bin,
          libqt6scxmlqml6,
          libqt6statemachine6,
          libqt6statemachineqml6,
          qml6-module-qtqml-statemachine,
          qml6-module-qtscxml
Description: Qt 6 SCXML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the library for Qt 6 SCXML.

Package: qt6-scxml-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-scxml (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-scxml-doc-dev, qt6-scxml-examples
Description: Qt 6 SCXML - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the development files for Qt 6 SCXML.

Package: qt6-scxml-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-scxml-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-scxml-doc-html
Description: Qt 6 SCXML - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the documentation files for Qt 6 SCXML.

Package: libqt6scxml6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6scxml6-bin
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6scxmlqml6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6statemachine6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6statemachineqml6
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtscxml
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml-statemachine
Architecture: all
Depends: qt6-scxml, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-scxml-doc-dev
Architecture: all
Depends: qt6-scxml-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-scxml-doc-html
Architecture: all
Depends: qt6-scxml-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-scxml-examples
Architecture: all
Depends: qt6-scxml-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-scxml 6.10.0

=== debian/changelog ===
qt6-scxml (6.10.0-0zneon+24.04+noble+stable+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:40:59 +0000

qt6-scxml (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:35:21 +1000

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-scxml 6.10.1

=== debian/changelog ===
qt6-scxml (6.10.1-0zneon+24.04+noble+stable+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:48:14 +0000

qt6-scxml (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:09 +1000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
